

CREATE TABLE COMPONENT
(
	COMP_ID BIGINT NOT NULL,
    ID varchar(255) NOT NULL,
	TYPE VARCHAR(50) NOT NULL,
	DSD_ID BIGINT NOT NULL,
	CON_ID BIGINT NOT NULL,
	CL_ID BIGINT,
	IS_FREQ_DIM BOOL,
	IS_MEASURE_DIM BOOL,
	ATT_ASS_LEVEL VARCHAR(11),
	ATT_STATUS VARCHAR(11),
	ATT_IS_TIME_FORMAT BOOL,
	XS_ATTLEVEL_DS BOOL,
	XS_ATTLEVEL_GROUP BOOL,
	XS_ATTLEVEL_SECTION BOOL,
	XS_ATTLEVEL_OBS BOOL,
	XS_MEASURE_CODE VARCHAR(50),
    CON_SCH_ID bigint NULL DEFAULT NULL,
	PRIMARY KEY (COMP_ID),
	KEY (CL_ID),
	KEY (CON_ID),
	KEY (DSD_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
;
